View Issue Details

IDCategoryLast Update
0006673bugs2015-11-14 04:21
ReportertimbyrAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product Version4.X git (version in description) 
Fixed in Version4.X git (version in description) 
Summary0006673: Crash when creating midi region with draw tool when moving from right to left on midi track with automation
DescriptionThis is with version 4.4-210-ga4daf93

If you try to create a midi region with the draw tool on a midi track that has automation by clicking on the track and moving the cursor to the left, on release ardour will crash.

The crash does not occur if the midi region is created by clicking the mouse on the track and moving the cursor to the right and releasing button.

The midi track must have automation to crash, backtrace attached.
TagsNo tags attached.

Activities

timbyr

2015-11-12 13:53

developer  

create-midi-region-bt.txt (45,829 bytes)
[timbyr@mojo-7 gtk2_ardour]$ PBD_DEBUG=undo ./ardbg 
GNU gdb (GDB) Fedora 7.8.2-39.fc21
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from ./../build/gtk2_ardour/ardour-4.4.210...done.
(gdb) run
Starting program: /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/gtk2_ardour/ardour-4.4.210 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
bind txt domain [gtk2_ardour4] to /usr/local/share/ardour4/locale
Ardour4.4.210 (built using 4.4-210-ga4daf93 and GCC version 4.9.2 20150212 (Red Hat 4.9.2-6))
PBD_DEBUG=undo
undohistory set ... debug bits now set to 00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000 using 00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000
ardour: [INFO]: Your system is configured to limit Ardour to only 4096 open files
[New Thread 0xb23e7b40 (LWP 4858)]
ardour: [INFO]: Loading system configuration file /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/system_config
Loading user configuration file /home/timbyr/.config/ardour4/config
CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0xb1be6b40 (LWP 4859)]
[New Thread 0xb13e5b40 (LWP 4860)]
[New Thread 0xb09ffb40 (LWP 4861)]
[New Thread 0xafdffb40 (LWP 4862)]
[New Thread 0xaf5feb40 (LWP 4863)]
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/gtk2_ardour/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/timbyr/.config/ardour4/ui_config
[New Thread 0xae7eeb40 (LWP 4864)]
[New Thread 0xaddffb40 (LWP 4865)]
[New Thread 0xad5feb40 (LWP 4866)]
[New Thread 0xacbffb40 (LWP 4867)]
ardour: [INFO]: Loading color file /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/gtk2_ardour/dark.colors
ardour: [INFO]: Loading ui configuration file /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/gtk2_ardour/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/gtk2_ardour/clearlooks.rc
[New Thread 0xac3fdc40 (LWP 4869)]
[New Thread 0xac383b40 (LWP 4870)]
EngineControl::set_state
[New Thread 0xabb82b40 (LWP 4871)]
[New Thread 0xab381b40 (LWP 4872)]
[New Thread 0xaab80b40 (LWP 4873)]
Found nothing along /home/timbyr/.config/ardour4/templates:./../templates:./../build/templates:./../gtk2_ardour/templates:./../build/gtk2_ardour/templates:./templates
[Thread 0xac383b40 (LWP 4870) exited]
run dialog
[Thread 0xad5feb40 (LWP 4866) exited]
[Thread 0xab381b40 (LWP 4872) exited]
[Thread 0xabb82b40 (LWP 4871) exited]
[Thread 0xacbffb40 (LWP 4867) exited]
Announcement is: 
[Thread 0xac3fdc40 (LWP 4869) exited]
[New Thread 0xacbffb40 (LWP 4874)]
[Thread 0xaab80b40 (LWP 4873) exited]
lilv_world_add_plugin(): error: Duplicate plugin <https://community.ardour.org/node/7596>
lilv_world_add_plugin(): error: ... found in file:///home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/libs/LV2/reasonablesynth.lv2/
lilv_world_add_plugin(): error: ... and      file:///usr/lib/lv2/reasonablesynth.lv2/
Scanning folders for bundled LV2s: ./../build/libs/LV2
lilv_world_add_plugin(): error: Duplicate plugin <https://community.ardour.org/node/7596>
lilv_world_add_plugin(): error: ... found in file:///home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/libs/LV2/reasonablesynth.lv2/
lilv_world_add_plugin(): error: ... and      file:///usr/lib/lv2/reasonablesynth.lv2/
error: failed to expand CURIE `foaf:name'
error: attempt to add quad with NULL field
error: failed to expand CURIE `foaf:homepage'
error: attempt to add quad with NULL field
error: failed to expand CURIE `foaf:mbox'
error: attempt to add quad with NULL field
error: failed to expand CURIE `foaf:name'
error: attempt to add quad with NULL field
error: failed to expand CURIE `foaf:homepage'
error: attempt to add quad with NULL field
error: failed to expand CURIE `foaf:mbox'
error: attempt to add quad with NULL field
Set cursor set to default
[New Thread 0xa986b1c0 (LWP 4876)]
[New Thread 0xa98521c0 (LWP 4877)]
[New Thread 0xa98391c0 (LWP 4878)]
Set buffering params to 262144|131072|10|10
[New Thread 0xa8fffc40 (LWP 4879)]
[New Thread 0xaab80b40 (LWP 4880)]
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
[New Thread 0xabb82b40 (LWP 4881)]
[New Thread 0xab381b40 (LWP 4882)]
[New Thread 0xad5feb40 (LWP 4883)]
[New Thread 0xa6cb0b40 (LWP 4884)]
[New Thread 0xa64afb40 (LWP 4885)]
[Thread 0xad5feb40 (LWP 4883) exited]
[Thread 0xa6cb0b40 (LWP 4884) exited]
[New Thread 0xa6cb0b40 (LWP 4886)]
PBD::DEBUG::UndoHistory: 2597: Begin Reversible Command, new transaction: create region
PBD::DEBUG::UndoHistory: 2574: Current Undo Transaction create region, adding command: 
PBD::DEBUG::UndoHistory: 2574: Current Undo Transaction create region, adding command: 
PBD::DEBUG::UndoHistory: 2643: Commit Reversible Command, current transaction: create region
ardour-4.4.210: ../libs/ardour/session_state.cc:2570: void ARDOUR::Session::add_command(Command*): Assertion `_current_trans' failed.

Program received signal SIGABRT, Aborted.
0xb7fdbbe0 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk3-module-1.0.6-1.fc21.i686 adwaita-gtk2-theme-3.14.2.2-1.fc21.i686 alsa-lib-1.0.28-2.fc21.i686 at-spi2-atk-2.14.1-1.fc21.i686 at-spi2-core-2.14.1-1.fc21.i686 atk-2.14.0-1.fc21.i686 atkmm-2.22.7-4.fc21.i686 aubio-0.3.2-16.fc21.i686 bluez-libs-5.29-2.fc21.i686 boost-system-1.55.0-8.fc21.i686 bzip2-libs-1.0.6-14.fc21.i686 cairo-1.14.2-1.fc21.i686 cairomm-1.10.0-9.fc21.i686 cwiid-0.6.00-25.20100505gitfadf11e.fc21.i686 cyrus-sasl-lib-2.1.26-19.fc21.i686 dbus-libs-1.8.20-1.fc21.i686 elfutils-libelf-0.163-1.fc21.i686 elfutils-libs-0.163-1.fc21.i686 expat-2.1.0-10.fc21.i686 fftw-libs-double-3.3.4-5.fc21.i686 fftw-libs-single-3.3.4-5.fc21.i686 flac-libs-1.3.1-5.fc21.i686 fluidsynth-libs-1.1.6-5.fc21.i686 fontconfig-2.11.1-5.fc21.i686 freetype-2.5.3-16.fc21.i686 gdk-pixbuf2-2.31.1-1.fc21.i686 glib2-2.42.2-1.fc21.i686 glibmm24-2.42.0-1.fc21.i686 graphite2-1.2.4-3.fc21.i686 gsm-1.0.13-12.fc21.i686 gtk2-2.24.28-1.fc21.i686 gtkmm24-2.24.4-4.fc21.i686 gvfs-1.22.4-2.fc21.i686 harfbuzz-0.9.36-1.fc21.i686 ibus-gtk2-1.5.10-5.fc21.i686 ibus-libs-1.5.10-5.fc21.i686 jack-audio-connection-kit-1.9.10-1.fc21.i686 json-c-0.12-5.fc21.i686 keyutils-libs-1.5.9-4.fc21.i686 krb5-libs-1.12.2-17.fc21.i686 ladspa-1.13-13.fc21.i686 ladspa-amb-plugins-0.6.1-8.fc21.i686 ladspa-autotalent-plugins-0.2-10.fc21.i686 ladspa-blop-plugins-0.2.8-16.fc21.i686 ladspa-calf-plugins-0.0.19-6.fc21.i686 ladspa-caps-plugins-0.9.10-3.fc21.i686 ladspa-cmt-plugins-1.16-9.fc21.i686 ladspa-fil-plugins-0.3.0-9.fc21.i686 ladspa-guitarix-plugins-0.32.3-1.fc21.i686 ladspa-mcp-plugins-0.4.0-10.fc21.i686 ladspa-rev-plugins-0.3.1-13.fc21.i686 ladspa-swh-plugins-0.4.15-23.fc21.i686 ladspa-tap-plugins-0.7.0-14.fc21.i686 ladspa-vco-plugins-0.3.0-15.fc21.i686 ladspa-wasp-plugins-0.9.5.1-10.fc21.i686 lash-0.5.4-21.fc21.i686 libICE-1.0.9-2.fc21.i686 libSM-1.2.2-2.fc21.i686 libX11-1.6.2-2.fc21.i686 libXau-1.0.8-4.fc21.i686 libXcomposite-0.4.4-6.fc21.i686 libXcursor-1.1.14-4.fc21.i686 libXdamage-1.1.4-6.fc21.i686 libXext-1.3.3-2.fc21.i686 libXfixes-5.0.1-4.fc21.i686 libXi-1.7.4-2.fc21.i686 libXinerama-1.1.3-4.fc21.i686 libXrandr-1.4.2-2.fc21.i686 libXrender-0.9.8-4.fc21.i686 libXtst-1.2.2-4.fc21.i686 libXxf86vm-1.1.3-4.fc21.i686 libasyncns-0.8-8.fc21.i686 libattr-2.4.47-9.fc21.i686 libbluray-0.7.0-1.fc21.i686 libcanberra-0.30-7.fc21.i686 libcanberra-gtk2-0.30-7.fc21.i686 libcap-2.24-7.fc21.i686 libcom_err-1.42.12-4.fc21.i686 libcurl-7.37.0-14.fc21.i686 libdrm-2.4.60-1.fc21.i686 libffi-3.1-7.fc21.i686 libgcc-4.9.2-6.fc21.i686 libgcrypt-1.6.3-4.fc21.i686 libgpg-error-1.17-2.fc21.i686 libicu-52.1-6.fc21.i686 libidn-1.31-1.fc21.i686 liblo-0.27-5.fc21.i686 liblrdf-0.5.0-8.fc21.i686 libltc-1.1.4-3.fc21.i686 libogg-1.3.0-8.fc21.i686 libpng-1.6.10-3.fc21.i686 libselinux-2.3-10.fc21.i686 libsigc++20-2.4.0-1.fc21.i686 libssh2-1.5.0-1.fc21.i686 libstdc++-4.9.2-6.fc21.i686 libtdb-1.3.1-1.fc21.i686 libtool-ltdl-2.4.2-31.fc21.i686 libuuid-2.25.2-3.fc21.i686 libvorbis-1.3.4-3.fc21.i686 libwayland-client-1.6.0-1.fc21.i686 libwayland-server-1.6.0-1.fc21.i686 libxcb-1.11-5.fc21.i686 libxml2-2.9.1-7.fc21.i686 libxshmfence-1.2-1.fc21.i686 libxslt-1.1.28-8.fc21.i686 lilv-0.20.0-2.fc21.i686 mesa-libEGL-10.4.7-1.20150323.fc21.i686 mesa-libGL-10.4.7-1.20150323.fc21.i686 mesa-libgbm-10.4.7-1.20150323.fc21.i686 mesa-libglapi-10.4.7-1.20150323.fc21.i686 ncurses-libs-5.9-16.20140323.fc21.i686 nspr-4.10.8-1.fc21.i686 nss-3.19.3-1.0.fc21.i686 nss-mdns-0.10-15.fc21.i686 nss-softokn-freebl-3.19.2-1.0.fc21.i686 nss-util-3.19.2-1.0.fc21.i686 openldap-2.4.40-3.fc21.i686 openssl-libs-1.0.1k-12.fc21.i686 opus-1.1-5.fc21.i686 pango-1.36.8-6.fc21.i686 pangomm-2.34.0-4.fc21.i686 pcre-8.35-12.fc21.i686 pixman-0.32.6-4.fc21.i686 pulseaudio-libs-6.0-4.fc21.i686 raptor2-2.0.14-3.fc21.i686 readline-6.3-5.fc21.i686 rubberband-1.8.1-5.fc21.i686 serd-0.20.0-1.fc21.i686 sord-0.12.2-1.fc21.i686 sratom-0.4.6-2.fc21.i686 sssd-client-1.12.5-3.fc21.i686 suil-0.8.2-2.fc21.i686 systemd-libs-216-25.fc21.i686 taglib-1.9.1-7.fc21.i686 tcp_wrappers-libs-7.6-79.fc21.i686 vamp-plugin-sdk-2.5-4.fc21.i686 xz-libs-5.1.2-14alpha.fc21.i686 yajl-2.1.0-3.fc21.i686 zita-convolver-3.1.0-7.fc21.i686 zita-resampler-1.3.0-5.fc21.i686 zlib-1.2.8-7.fc21.i686
(gdb) t a a bt

Thread 28 (Thread 0xa6cb0b40 (LWP 4886)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ArdourCanvas::WaveView::drawing_thread() () at ../libs/canvas/wave_view.cc:1536
#5  0x087bbd7b in sigc::pointer_functor0<void>::operator()() const (this=0xb2737ec) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#6  0x087b9a96 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0xb2737e8) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x087b702c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0xb2737d0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#9  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#10 0xffffffff in start_thread (arg=0xa6cb0b40) at pthread_create.c:310
#11 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 27 (Thread 0xa64afb40 (LWP 4885)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait_until () at /lib/libglib-2.0.so.0
#3  0xffffffff in g_async_queue_pop_intern_unlocked () at /lib/libglib-2.0.so.0
#4  0xffffffff in g_async_queue_timeout_pop () at /lib/libglib-2.0.so.0
#5  0xffffffff in g_thread_pool_thread_proxy () at /lib/libglib-2.0.so.0
#6  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#7  0xffffffff in start_thread (arg=0xa64afb40) at pthread_create.c:310
#8  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 24 (Thread 0xab381b40 (LWP 4882)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_usleep () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::usleep(unsigned long) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ARDOUR::AutomationWatch::thread() (this=0xa23abc8) at ../libs/ardour/automation_watch.cc:153
#5  0xffffffff in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const (this=0xa4ca808, p=0xa23abc8)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) (this=0xa4ca810, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#7  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() (this=0xa4ca808) at /usr/include/boost/bind/bind_template.hpp:20
#8  0xffffffff in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const (this=0xa4ca808) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#9  0xffffffff in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0xa4ca7f0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
---Type <return> to continue, or q <return> to quit---
#10 0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#11 0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#12 0xffffffff in start_thread (arg=0xab381b40) at pthread_create.c:310
#13 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 23 (Thread 0xabb82b40 (LWP 4881)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0xffffffff in ARDOUR::Session::emit_thread_run() (this=0x9422a00) at ../libs/ardour/session_process.cc:1313
#3  0xffffffff in ARDOUR::Session::emit_thread(void*) (arg=0x9422a00) at ../libs/ardour/session_process.cc:1302
#4  0xffffffff in start_thread (arg=0xabb82b40) at pthread_create.c:310
#5  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 22 (Thread 0xaab80b40 (LWP 4880)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_poll () at /lib/libglib-2.0.so.0
#3  0xffffffff in g_main_context_iterate.isra () at /lib/libglib-2.0.so.0
#4  0xffffffff in g_main_loop_run () at /lib/libglib-2.0.so.0
#5  0xffffffff in Glib::MainLoop::run() () at /lib/libglibmm-2.4.so.1
#6  0xffffffff in BaseUI::main_thread() (this=0x9c935f8) at ../libs/pbd/base_ui.cc:86
#7  0xffffffff in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x9c9399c) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#8  0xffffffff in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x9c93998)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#9  0xffffffff in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x9c93980)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#10 0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#11 0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#12 0xffffffff in start_thread (arg=0xaab80b40) at pthread_create.c:310
#13 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 21 (Thread 0xa8fffc40 (LWP 4879)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in CrossThreadChannel::poll_for_request() (this=0x9214450) at ../libs/pbd/crossthread.posix.cc:80
#3  0xffffffff in CrossThreadChannel::receive(char&, bool) (this=0x9214450, msg=@0xa8ffef2f: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:101
#4  0xffffffff in ARDOUR::Butler::thread_work() (this=0x92143e8) at ../libs/ardour/butler.cc:175
#5  0xffffffff in ARDOUR::Butler::_thread_work(void*) (arg=0x92143e8) at ../libs/ardour/butler.cc:156
#6  0xffffffff in fake_thread_start(void*) (arg=0x9c93448) at ../libs/pbd/pthread_utils.cc:93
#7  0xffffffff in start_thread (arg=0xa8fffc40) at pthread_create.c:310
#8  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 20 (Thread 0xa98391c0 (LWP 4878)):
---Type <return> to continue, or q <return> to quit---
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in sem_wait@@GLIBC_2.1 () at ../sysdeps/unix/sysv/linux/i386/i486/sem_wait.S:79
#2  0xffffffff in PBD::ProcessSemaphore::wait() (this=0x94e37a0) at /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/libs/pbd/pbd/semutils.h:56
#3  0xffffffff in ARDOUR::Graph::run_one() (this=0x94e3740) at ../libs/ardour/graph.cc:387
#4  0xffffffff in ARDOUR::Graph::helper_thread() (this=0x94e3740) at ../libs/ardour/graph.cc:418
#5  0xffffffff in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0xa9838810, p=0x94e3740) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0xa9838818, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#7  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0xa9838810)
    at /usr/include/boost/bind/bind_template.hpp:20
#8  0xffffffff in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
#9  0x08241335 in boost::function0<void>::operator()() const (this=0xa983880c) at /usr/include/boost/function/function_template.hpp:767
#10 0xffffffff in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x9960130) at ../libs/backends/dummy/dummy_audiobackend.cc:544
#11 0xffffffff in start_thread (arg=0xa98391c0) at pthread_create.c:310
#12 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 19 (Thread 0xa98521c0 (LWP 4877)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in sem_wait@@GLIBC_2.1 () at ../sysdeps/unix/sysv/linux/i386/i486/sem_wait.S:79
#2  0xffffffff in PBD::ProcessSemaphore::wait() (this=0x94e37a0) at /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/libs/pbd/pbd/semutils.h:56
#3  0xffffffff in ARDOUR::Graph::run_one() (this=0x94e3740) at ../libs/ardour/graph.cc:387
#4  0xffffffff in ARDOUR::Graph::helper_thread() (this=0x94e3740) at ../libs/ardour/graph.cc:418
#5  0xffffffff in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0xa9851810, p=0x94e3740) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0xa9851818, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#7  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0xa9851810)
    at /usr/include/boost/bind/bind_template.hpp:20
#8  0xffffffff in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
#9  0x08241335 in boost::function0<void>::operator()() const (this=0xa985180c) at /usr/include/boost/function/function_template.hpp:767
#10 0xffffffff in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x9960130) at ../libs/backends/dummy/dummy_audiobackend.cc:544
#11 0xffffffff in start_thread (arg=0xa98521c0) at pthread_create.c:310
#12 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 18 (Thread 0xa986b1c0 (LWP 4876)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in sem_wait@@GLIBC_2.1 () at ../sysdeps/unix/sysv/linux/i386/i486/sem_wait.S:79
#2  0xffffffff in PBD::ProcessSemaphore::wait() (this=0x94e37b0) at /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/libs/pbd/pbd/semutils.h:56
#3  0xffffffff in ARDOUR::Graph::restart_cycle() (this=0x94e3740) at ../libs/ardour/graph.cc:261
#4  0xffffffff in ARDOUR::Graph::dec_ref() (this=0x94e3740) at ../libs/ardour/graph.cc:248
#5  0xffffffff in ARDOUR::GraphNode::finish(int) (this=0x9ce2e84, chain=1) at ../libs/ardour/graphnode.cc:71
#6  0xffffffff in ARDOUR::Graph::run_one() (this=0x94e3740) at ../libs/ardour/graph.cc:401
---Type <return> to continue, or q <return> to quit---
#7  0xffffffff in ARDOUR::Graph::main_thread() (this=0x94e3740) at ../libs/ardour/graph.cc:456
#8  0xffffffff in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0xa986a810, p=0x94e3740) at /usr/include/boost/bind/mem_fn_template.hpp:49
#9  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0xa986a818, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#10 0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0xa986a810)
    at /usr/include/boost/bind/bind_template.hpp:20
#11 0xffffffff in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
#12 0x08241335 in boost::function0<void>::operator()() const (this=0xa986a80c) at /usr/include/boost/function/function_template.hpp:767
#13 0xffffffff in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x9960130) at ../libs/backends/dummy/dummy_audiobackend.cc:544
#14 0xffffffff in start_thread (arg=0xa986b1c0) at pthread_create.c:310
#15 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 17 (Thread 0xacbffb40 (LWP 4874)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_usleep () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::usleep(unsigned long) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ARDOUR::DummyAudioBackend::main_process_thread() (this=0x91e8ba0) at ../libs/backends/dummy/dummy_audiobackend.cc:1277
#5  0xffffffff in pthread_process(void*) (arg=0x91e8ba0) at ../libs/backends/dummy/dummy_audiobackend.cc:417
#6  0xffffffff in start_thread (arg=0xacbffb40) at pthread_create.c:310
#7  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 9 (Thread 0xaddffb40 (LWP 4865)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_poll () at /lib/libglib-2.0.so.0
#3  0xffffffff in g_main_context_iterate.isra () at /lib/libglib-2.0.so.0
#4  0xffffffff in g_main_context_iteration () at /lib/libglib-2.0.so.0
#5  0xffffffff in glib_worker_main () at /lib/libglib-2.0.so.0
#6  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#7  0xffffffff in start_thread (arg=0xaddffb40) at pthread_create.c:310
#8  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 8 (Thread 0xae7eeb40 (LWP 4864)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_poll () at /lib/libglib-2.0.so.0
#3  0xffffffff in g_main_context_iterate.isra () at /lib/libglib-2.0.so.0
#4  0xffffffff in g_main_loop_run () at /lib/libglib-2.0.so.0
#5  0xffffffff in gdbus_shared_thread_func () at /lib/libgio-2.0.so.0
#6  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#7  0xffffffff in start_thread (arg=0xae7eeb40) at pthread_create.c:310
---Type <return> to continue, or q <return> to quit---
#8  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 7 (Thread 0xaf5feb40 (LWP 4863)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ARDOUR::AudioEngine::do_devicelist_update() (this=0x90c9398) at ../libs/ardour/audioengine.cc:537
#5  0xffffffff in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x90de0c0, p=0x90c9398)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x90de0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#7  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x90de0c0) at /usr/include/boost/bind/bind_template.hpp:20
#8  0xffffffff in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x90de0c0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#9  0xffffffff in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x90de0a8) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#10 0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#11 0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#12 0xffffffff in start_thread (arg=0xaf5feb40) at pthread_create.c:310
#13 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 6 (Thread 0xafdffb40 (LWP 4862)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ARDOUR::AudioEngine::do_reset_backend() (this=0x90c9398) at ../libs/ardour/audioengine.cc:502
#5  0xffffffff in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x90e1068, p=0x90c9398)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0xffffffff in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x90e1070, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#7  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x90e1068) at /usr/include/boost/bind/bind_template.hpp:20
#8  0xffffffff in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x90e1068) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#9  0xffffffff in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x90e1050) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#10 0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#11 0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#12 0xffffffff in start_thread (arg=0xafdffb40) at pthread_create.c:310
#13 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122
---Type <return> to continue, or q <return> to quit---

Thread 5 (Thread 0xb09ffb40 (LWP 4861)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in ARDOUR::Analyser::work() () at ../libs/ardour/analyser.cc:85
#5  0xffffffff in analyser_work() () at ../libs/ardour/analyser.cc:50
#6  0x087bbd7b in sigc::pointer_functor0<void>::operator()() const (this=0x8fc2edc) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#7  0x087b9a96 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x8fc2ed8) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#8  0x087b702c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x8fc2ec0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#9  0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#10 0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#11 0xffffffff in start_thread (arg=0xb09ffb40) at pthread_create.c:310
#12 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 4 (Thread 0xb13e5b40 (LWP 4860)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in peak_thread_work() () at ../libs/ardour/source_factory.cc:71
#5  0x087bbd7b in sigc::pointer_functor0<void>::operator()() const (this=0x8fc8854) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#6  0x087b9a96 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x8fc8850) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x087b702c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x8fc8838)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
#9  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#10 0xffffffff in start_thread (arg=0xb13e5b40) at pthread_create.c:310
#11 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 3 (Thread 0xb1be6b40 (LWP 4859)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xffffffff in g_cond_wait () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::Threads::Cond::wait(Glib::Threads::Mutex&) () at /lib/libglibmm-2.4.so.1
#4  0xffffffff in peak_thread_work() () at ../libs/ardour/source_factory.cc:71
#5  0x087bbd7b in sigc::pointer_functor0<void>::operator()() const (this=0x8fbda84) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#6  0x087b9a96 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x8fbda80) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x087b702c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x8fbda68)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0xffffffff in call_thread_entry_slot () at /lib/libglibmm-2.4.so.1
---Type <return> to continue, or q <return> to quit---
#9  0xffffffff in g_thread_proxy () at /lib/libglib-2.0.so.0
#10 0xffffffff in start_thread (arg=0xb1be6b40) at pthread_create.c:310
#11 0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 2 (Thread 0xb23e7b40 (LWP 4858)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#2  0xffffffff in g_usleep () at /lib/libglib-2.0.so.0
#3  0xffffffff in Glib::usleep(unsigned long) () at /lib/libglibmm-2.4.so.1
#4  0x08a4d38d in gui_event_loop(void*) (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:476
#5  0xffffffff in start_thread (arg=0xb23e7b40) at pthread_create.c:310
#6  0xffffffff in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:122

Thread 1 (Thread 0xb263bb00 (LWP 4854)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in __GI_raise (sig=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#2  0xffffffff in __GI_abort () at abort.c:89
#3  0xffffffff in __assert_fail_base (fmt=0xb4e3e554 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0xb79e5bc4 "_current_trans", file=0xb79e4efc "../libs/ardour/session_state.cc", line=2570, function=0xb79e7ee0 <ARDOUR::Session::add_command(Command*)::__PRETTY_FUNCTION__> "void ARDOUR::Session::add_command(Command*)") at assert.c:92
#4  0xffffffff in __GI___assert_fail (assertion=0xb79e5bc4 "_current_trans", file=0xb79e4efc "../libs/ardour/session_state.cc", line=2570, function=0xb79e7ee0 <ARDOUR::Session::add_command(Command*)::__PRETTY_FUNCTION__> "void ARDOUR::Session::add_command(Command*)") at assert.c:101
#5  0xffffffff in ARDOUR::Session::add_command(Command*) (this=0x9422a00, cmd=0x9399598) at ../libs/ardour/session_state.cc:2570
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#6  0xffffffff in ARDOUR::Diskstream::playlist_ranges_moved(std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool) (this=0x9dc4d70, movements_frames=std::list, from_undo=false) at ../libs/ardour/diskstream.cc:576
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#7  0xffffffff in boost::_mfi::mf2<void, ARDOUR::Diskstream, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>::operator()(ARDOUR::Diskstream*, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool) const (this=0x933e57c, p=0x9dc4d70, a1=std::list, a2=false) at /usr/include/boost/bind/mem_fn_template.hpp:280
#8  0xffffffff in boost::_bi::list3<boost::_bi::value<ARDOUR::Diskstream*>, boost::arg<1>, boost::arg<2> >::operator()<boost::_mfi::mf2<void, ARDOUR::Diskstream, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>, boost::_bi::list2<std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool&> >(boost::_bi::type<void>, boost::_mfi::mf2<void, ARDOUR::Diskstream, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>&, boost::_bi::list2<std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool&>&, int) (this=0x933e584, f=..., a=...) at /usr/include/boost/bind/bind.hpp:392
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#9  0xffffffff in boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Diskstream, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>, boost::_bi::list3<boost::_bi::value<ARDOUR::Diskstream*>, boost::arg<1>, boost::arg<2> > >::operator()<std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >, bool>(std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool&) (this=0x933e57c, a1=std::list, a2=@0xbfffd7cc: false) at /usr/include/boost/bind/bind_template.hpp:76
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#10 0xffffffff in boost::detail::function::void_function_obj_invoker2<boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Diskstream, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>, boost::_bi::list3<boost::_bi::value<ARDOUR::Diskstream*>, boost::arg<1>, boost::arg<2> > >, void, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>::invoke(boost::detail::function::function_buffer&, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool) (function_obj_ptr=..., a0=std::list, a1=false) at /usr/include/boost/function/function_template.hpp:153
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#11 0xffffffff in boost::function2<void, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool>::operator()(std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool) const (this=0x933e578, a0=std::list, a1=false)
    at /usr/include/boost/function/function_template.hpp:767
---Type <return> to continue, or q <return> to quit---
Python Exception <type 'exceptions.ValueError'> Cannot find type const std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > >::_Node: 
#12 0xffffffff in PBD::Signal2<void, std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool, PBD::OptionalLastValue<void> >::operator()(std::list<Evoral::RangeMove<long long>, std::allocator<Evoral::RangeMove<long long> > > const&, bool) (this=0x99b40f0, a1=std::list, a2=false)
    at /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/build/libs/pbd/pbd/signals_generated.h:1000
#13 0xffffffff in ARDOUR::Playlist::flush_notifications(bool) (this=0x99b3f10, from_undo=false) at ../libs/ardour/playlist.cc:639
#14 0xffffffff in ARDOUR::Playlist::release_notifications(bool) (this=0x99b3f10, from_undo=false) at ../libs/ardour/playlist.cc:440
#15 0xffffffff in ARDOUR::Playlist::thaw(bool) (this=0x99b3f10, from_undo=false) at ../libs/ardour/playlist.cc:425
#16 0x08409f06 in RegionCreateDrag::finished(_GdkEvent*, bool) (this=0x9372328, movement_occurred=true) at ../gtk2_ardour/editor_drag.cc:2334
#17 0x08400c5b in Drag::end_grab(_GdkEvent*) (this=0x9372328, event=0xbfffde0c) at ../gtk2_ardour/editor_drag.cc:316
#18 0x08400527 in DragManager::end_grab(_GdkEvent*) (this=0x95b3950, e=0xbfffde0c) at ../gtk2_ardour/editor_drag.cc:157
#19 0x0844d824 in Editor::button_release_handler(ArdourCanvas::Item*, _GdkEvent*, ItemType) (this=0x963a158, item=0xa5533c0, event=0xbfffde0c, item_type=StreamItem)
    at ../gtk2_ardour/editor_mouse.cc:1318
#20 0x083fadbe in Editor::canvas_stream_view_event(_GdkEvent*, ArdourCanvas::Item*, RouteTimeAxisView*) (this=0x963a158, event=0xbfffde0c, item=0xa5533c0, tv=0xad52c00)
    at ../gtk2_ardour/editor_canvas_events.cc:352
#21 0x08648c6a in sigc::bound_mem_functor3<bool, PublicEditor, _GdkEvent*, ArdourCanvas::Item*, RouteTimeAxisView*>::operator()(_GdkEvent* const&, ArdourCanvas::Item* const&, RouteTimeAxisView* const&) const (this=0xa4d9dc8, _A_a1=@0xbfffddd4: 0xbfffde0c, _A_a2=@0xbfffdb5c: 0xa5533c0, _A_a3=@0xa4d9ddc: 0xad52c00)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2000
#22 0x08984a2f in sigc::adaptor_functor<sigc::bound_mem_functor3<bool, PublicEditor, _GdkEvent*, ArdourCanvas::Item*, RouteTimeAxisView*> >::operator()<_GdkEvent* const&, ArdourCanvas::Rectangle*&, RouteTimeAxisView*&>(_GdkEvent* const&, ArdourCanvas::Rectangle*&, RouteTimeAxisView*&) const (this=0xa4d9dc4, _A_arg1=@0xbfffddd4: 0xbfffde0c, _A_arg2=
    @0xa4d9dd8: 0xa5533c0, _A_arg3=@0xa4d9ddc: 0xad52c00) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:128
#23 0x089844a2 in sigc::bind_functor<-1, sigc::bound_mem_functor3<bool, PublicEditor, _GdkEvent*, ArdourCanvas::Item*, RouteTimeAxisView*>, ArdourCanvas::Rectangle*, RouteTimeAxisView*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<_GdkEvent* const&>(_GdkEvent* const&) (this=0xa4d9dc0, _A_arg1=@0xbfffddd4: 0xbfffde0c)
    at /usr/include/sigc++-2.0/sigc++/adaptors/bind.h:1351
#24 0x08983ed3 in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor3<bool, PublicEditor, _GdkEvent*, ArdourCanvas::Item*, RouteTimeAxisView*>, ArdourCanvas::Rectangle*, RouteTimeAxisView*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, bool, _GdkEvent*>::call_it(sigc::internal::slot_rep*, _GdkEvent* const&) (rep=0xa4d9da8, a_1=@0xbfffddd4: 0xbfffde0c) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:137
#25 0xffffffff in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator()(sigc::slot<bool, _GdkEvent*, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil> const&) const (this=0xbfffdc5c, _A_slot=...) at /usr/include/sigc++-2.0/sigc++/signal.h:830
#26 0xffffffff in sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>::operator*() const (this=0xbfffdc24) at /usr/include/sigc++-2.0/sigc++/signal.h:302
#27 0xffffffff in ArdourCanvas::Item::EventAccumulator<bool>::operator()<sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool> >(sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>, sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>) (this=0xbfffdc6f, first=..., last=...)
    at /home/timbyr/Data/devel/ardour/ardour-build-scripts/BUILD/master-debug-tests/libs/canvas/canvas/item.h:218
#28 0xffffffff in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit(sigc::internal::signal_impl*, _GdkEvent* const&) (impl=0xa4a8688, _A_a1=@0xbfffddd4: 0xbfffde0c) at /usr/include/sigc++-2.0/sigc++/signal.h:850
#29 0xffffffff in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit(_GdkEvent* const&) const (this=0xa553400, _A_a1=@0xbfffddd4: 0xbfffde0c)
    at /usr/include/sigc++-2.0/sigc++/signal.h:2797
#30 0xffffffff in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator()(_GdkEvent* const&) const (this=0xa553400, _A_a1=@0xbfffddd4: 0xbfffde0c) at /usr/include/sigc++-2.0/sigc++/signal.h:2805
#31 0xffffffff in ArdourCanvas::GtkCanvas::deliver_event(_GdkEvent*) (this=0x964718c, event=0xbfffde0c) at ../libs/canvas/canvas.cc:695
#32 0xffffffff in ArdourCanvas::GtkCanvas::on_button_release_event(_GdkEventButton*) (this=0x964718c, ev=0x93535e0) at ../libs/canvas/canvas.cc:949
#33 0xffffffff in Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*) () at /lib/libgtkmm-2.4.so.1
#34 0xffffffff in _gtk_marshal_BOOLEAN__BOXED () at /lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#35 0xffffffff in g_type_class_meta_marshal () at /lib/libgobject-2.0.so.0
#36 0xffffffff in g_closure_invoke () at /lib/libgobject-2.0.so.0
#37 0xffffffff in signal_emit_unlocked_R () at /lib/libgobject-2.0.so.0
#38 0xffffffff in g_signal_emit_valist () at /lib/libgobject-2.0.so.0
#39 0xffffffff in g_signal_emit () at /lib/libgobject-2.0.so.0
#40 0xffffffff in gtk_widget_event_internal () at /lib/libgtk-x11-2.0.so.0
#41 0xffffffff in gtk_propagate_event () at /lib/libgtk-x11-2.0.so.0
#42 0xffffffff in gtk_main_do_event () at /lib/libgtk-x11-2.0.so.0
#43 0xffffffff in gdk_event_dispatch () at /lib/libgdk-x11-2.0.so.0
#44 0xffffffff in g_main_context_dispatch () at /lib/libglib-2.0.so.0
#45 0xffffffff in g_main_context_iterate.isra () at /lib/libglib-2.0.so.0
#46 0xffffffff in g_main_loop_run () at /lib/libglib-2.0.so.0
#47 0xffffffff in gtk_main () at /lib/libgtk-x11-2.0.so.0
#48 0xffffffff in Gtk::Main::run() () at /lib/libgtkmm-2.4.so.1
#49 0xffffffff in Gtkmm2ext::UI::run(Receiver&) (this=0x917a7e8, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:280
#50 0x085f320b in main(int, char**) (argc=1, argv=0xbfffe634) at ../gtk2_ardour/main.cc:396
(gdb) 

create-midi-region-bt.txt (45,829 bytes)

nick_m

2015-11-13 16:15

reporter   ~0017608

This should be fixed by 024adf3a4d1

timbyr

2015-11-14 04:21

developer   ~0017609

confirmed as fixed in master@024adf3a4d

Thanks.

Issue History

Date Modified Username Field Change
2015-11-12 13:53 timbyr New Issue
2015-11-12 13:53 timbyr File Added: create-midi-region-bt.txt
2015-11-13 16:15 nick_m Note Added: 0017608
2015-11-14 04:21 timbyr Note Added: 0017609
2015-11-14 04:21 timbyr Status new => resolved
2015-11-14 04:21 timbyr Fixed in Version => 4.X git (version in description)
2015-11-14 04:21 timbyr Resolution open => fixed
2015-11-14 04:21 timbyr Assigned To => timbyr